Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.oscache.base.events
Class CacheEntryEvent

    java.lang.Object
      com.opensymphony.oscache.base.events.CacheEvent
          com.opensymphony.oscache.base.events.CacheEntryEvent

public final class CacheEntryEvent
extends CacheEvent

CacheEntryEvent is the object created when an event occurs on a cache entry (Add, update, remove, flush). It contains the entry itself and its map.

Version:
  $Revision: 1.1 $
Author:
  Francois Beauregard

Field Summary

Fields inherited from class com.opensymphony.oscache.base.events.CacheEvent
`origin`

Constructor Summary
`CacheEntryEvent(Cache map, CacheEntry entry)` Constructs a cache entry event object with no specified origin
`CacheEntryEvent(Cache map, CacheEntry entry, java.lang.String origin)` Constructs a cache entry event object

Method Summary
`CacheEntry` | `getEntry()` Retrieve the cache entry that the event applies to.
`java.lang.String` | `getKey()` Retrieve the cache entry key
`Cache` | `getMap()` Retrieve the cache map where the entry resides.
`java.lang.String` | `toString()`

Methods inherited from class com.opensymphony.oscache.base.events.CacheEvent
`getOrigin`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CacheEntryEvent

    public CacheEntryEvent(Cache map,
                           CacheEntry entry)

  Constructs a cache entry event object with no specified origin

Parameters:
  `map` - The cache map of the cache entry
  `entry` - The cache entry that the event applies to

### CacheEntryEvent

    public CacheEntryEvent(Cache map,
                           CacheEntry entry,
                           java.lang.String origin)

  Constructs a cache entry event object

Parameters:
  `map` - The cache map of the cache entry
  `entry` - The cache entry that the event applies to
  `origin` - The origin of this event

Method Detail

### getEntry

    public CacheEntry getEntry()

  Retrieve the cache entry that the event applies to.

### getKey

    public java.lang.String getKey()

  Retrieve the cache entry key

### getMap

    public Cache getMap()

  Retrieve the cache map where the entry resides.

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| See www.opensymphony.com for more information.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD